Package twisted :: Package internet :: Module process

[show private | hide private]
[frames | no frames]

## Module twisted.internet.process

UNIX Process management.

Do NOT use this module directly - use reactor.spawnProcess() instead.

Maintainer: Itamar Shtull-Trauring<mailto:twisted@itamarst.org>

Classes
`Process` | An operating-system Process.
`ProcessError` | ProcessError
`ProcessWriter` | (Internal) Helper class to write to Process's stdin.
`PTYProcess` | An operating-system Process that uses PTY support.

Exceptions
`ProcessExitedAlready` | The process has already excited, and the operation requested can no longer be performed.

Function Summary
| `initgroups(uid, primaryGid)`
| ``reapAllProcesses`()` Reap all registered processes.
| `registerReapProcessHandler(pid, process)`
| `switch_uid(uid, gid)`
| `unregisterReapProcessHandler(pid, process)`

Variable Summary
`ConnectionDone` | `CONNECTION_DONE`
`ConnectionLost` | `CONNECTION_LOST`
`dict` | `reapProcessHandlers`

Function Details

### reapAllProcesses()

Reap all registered processes.

Variable Details

### CONNECTION_DONE

  Type:
    `ConnectionDone`
  Value:

        <twisted.internet.error.ConnectionDone instance at 0x82e7ee4>

### CONNECTION_LOST

  Type:
    `ConnectionLost`
  Value:

        <twisted.internet.error.ConnectionLost instance at 0x82e800c>

### reapProcessHandlers

  Type:
    `dict`
  Value:

        {}

Generated by Epydoc 1.1 on Thu May 8 13:18:27 2003 | http://epydoc.sf.net